summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-29 08:53:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2020-12-29 08:53:42 +0000
commit97c3e9163bd1b7a9014afe62570360d97816aff8 (patch)
treeed474d9c5ba05ea81ad522c8afbc692ee2ca16fb /dev-python
parent15bb8000291977732a1f3e65820234e2135978af (diff)
downloadbaldeagleos-repo-97c3e9163bd1b7a9014afe62570360d97816aff8.tar.gz
baldeagleos-repo-97c3e9163bd1b7a9014afe62570360d97816aff8.tar.xz
baldeagleos-repo-97c3e9163bd1b7a9014afe62570360d97816aff8.zip
Updating liguros repo
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/cftime/Manifest1
-rw-r--r--dev-python/cftime/cftime-1.3.0.ebuild29
-rw-r--r--dev-python/cftime/metadata.xml13
-rw-r--r--dev-python/eyeD3/Manifest1
-rw-r--r--dev-python/eyeD3/eyeD3-0.9.6.ebuild46
-rw-r--r--dev-python/eyeD3/metadata.xml2
-rw-r--r--dev-python/httpstat/Manifest1
-rw-r--r--dev-python/httpstat/files/httpstat-1.2.1-gentoo-tests.patch30
-rw-r--r--dev-python/httpstat/httpstat-1.3.0.ebuild28
-rw-r--r--dev-python/httpstat/metadata.xml14
-rw-r--r--dev-python/jaraco-functools/Manifest1
-rw-r--r--dev-python/jaraco-functools/jaraco-functools-3.1.0.ebuild47
-rw-r--r--dev-python/netcdf4-python/Manifest1
-rw-r--r--dev-python/netcdf4-python/files/netcdf4-python-1.5.5-tests.patch33
-rw-r--r--dev-python/netcdf4-python/metadata.xml28
-rw-r--r--dev-python/netcdf4-python/netcdf4-python-1.5.5.ebuild41
-rw-r--r--dev-python/ptyprocess/Manifest1
-rw-r--r--dev-python/ptyprocess/ptyprocess-0.7.0.ebuild19
-rw-r--r--dev-python/pyamg/Manifest2
-rw-r--r--dev-python/pyamg/files/pyamg-4.0.0-test.patch14
-rw-r--r--dev-python/pyamg/pyamg-4.0.0.ebuild (renamed from dev-python/pyamg/pyamg-3.2.1-r1.ebuild)21
21 files changed, 270 insertions, 103 deletions
diff --git a/dev-python/cftime/Manifest b/dev-python/cftime/Manifest
new file mode 100644
index 000000000000..2a651f051b41
--- /dev/null
+++ b/dev-python/cftime/Manifest
@@ -0,0 +1 @@
+DIST cftime-1.3.0.tar.gz 55668 BLAKE2B c233a3d45305476f422ca93f89348b7b3c018b10c0fa42d6649001b7bcdb4d26d230322108def41818449ec78dc531261b52d09252306fb5889ac4011af33828 SHA512 07f79e902142e8a314c9d09af08ea752454e490c3027ee44853f78c725305bf11cad90bd331edd204defded11e7f29173df9bef70ab805a28b745cc0afdd4685
diff --git a/dev-python/cftime/cftime-1.3.0.ebuild b/dev-python/cftime/cftime-1.3.0.ebuild
new file mode 100644
index 000000000000..62d7c828fe0e
--- /dev/null
+++ b/dev-python/cftime/cftime-1.3.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=bdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Time-handling functionality from netcdf4-python"
+HOMEPAGE="https://pypi.org/project/cftime"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+RDEPEND="${DEPEND}"
+BDEPEND="dev-python/cython[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # remove pytest-cov dep
+ sed -i -e "/--cov/d" setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/cftime/metadata.xml b/dev-python/cftime/metadata.xml
new file mode 100644
index 000000000000..ebd158eede3e
--- /dev/null
+++ b/dev-python/cftime/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">cftime</remote-id>
+ <remote-id type="github">Unidata/cftime</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/eyeD3/Manifest b/dev-python/eyeD3/Manifest
index 6118e2465d78..24c1833e6248 100644
--- a/dev-python/eyeD3/Manifest
+++ b/dev-python/eyeD3/Manifest
@@ -1,3 +1,4 @@
DIST eyeD3-0.8.11.tar.gz 215807 BLAKE2B e289a274198a4adceb0ec3b77a5c79f50faaa320edecdf07d1d2af3b5519f0c884c8cef146b124fd172d74626f70af2b689dd536ade1a68ed27fedff840513ee SHA512 ed147fbe6ce88319cdbfc752e1ddbcb141180bdd87854c209c621956bc52395c5ba442d929016419620c0b230f5b8a3e1fa638b73c7cf329405425148f953c9c
DIST eyeD3-0.9.5.tar.gz 222657 BLAKE2B 3932c1b07e0961773a1cccaebec116c3b51a8c4560850661e8725efb3f4c5716b43ba610e35a2682f94b0e3b72513fbf108ffbc8c436a52977c308ad82e59400 SHA512 be89a2070b8cd5d70b25ff24e508c35e4e0ad20bfbe7bc91e4119614c1359cbc7a4ba812066b608f310abfd027d34b7bfa13f9dae8f3ab54f3ecfc9ce47c07e4
+DIST eyeD3-0.9.6.tar.gz 250445 BLAKE2B 11f8bef4b17af07f08144e922634e4c6e467bd8856da9d445a70006b5bf32d442a52e234845a3f146129403fcc16047cc759102b93c433a0466bf0afd9576230 SHA512 0c993e9bf0a27ca41a8a2964a3347a6b0ffa472f833b3dada39ae09a5a2b40e0afb6bfd8c0ea5ed71d3dc2bf3cd062c1fb5fe79abe6ad867221b779786247173
DIST eyeD3-test-data.tgz 97281754 BLAKE2B 9b667a5f8be157ace06d773d575c08f4a8e8b7a7b81ba9cb39b1e2c924b2e3f98597607ed3076b13150e02ef7768e89d1ff8a9913021e5f4b9ac6b59344ed397 SHA512 937971dcefc53812c59adb97df27d200e92de04e12391c735ab85cd547e2a168aa1212d88c206ec71ac2fa85a504a9faa91dcc444b45149aca7c8f3a794e9a95
diff --git a/dev-python/eyeD3/eyeD3-0.9.6.ebuild b/dev-python/eyeD3/eyeD3-0.9.6.ebuild
new file mode 100644
index 000000000000..d3c41e2ab770
--- /dev/null
+++ b/dev-python/eyeD3/eyeD3-0.9.6.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Module for manipulating ID3 (v1 + v2) tags in Python"
+HOMEPAGE="https://eyed3.nicfit.net/"
+SRC_URI="https://github.com/nicfit/eyeD3/archive/v${PV}.tar.gz -> ${P}.tar.gz
+ test? ( https://eyed3.nicfit.net/releases/eyeD3-test-data.tgz )"
+
+LICENSE="GPL-2"
+SLOT="0.7"
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/deprecation[${PYTHON_USEDEP}]
+ dev-python/filetype[${PYTHON_USEDEP}]"
+# note: most of the deps are optional runtime deps / plugin deps
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pylast[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # requires unpackaged factory-boy, doesn't seem to relevant
+ # to anything but eyeD3 usage with factory-boy
+ rm tests/test_factory.py || die
+ # requires unpackaged grako
+ rm tests/test_display_plugin.py || die
+
+ if use test; then
+ mv "${WORKDIR}"/eyeD3-test-data tests/data || die
+ fi
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/eyeD3/metadata.xml b/dev-python/eyeD3/metadata.xml
index fab2e444461a..a33a8929ff35 100644
--- a/dev-python/eyeD3/metadata.xml
+++ b/dev-python/eyeD3/metadata.xml
@@ -10,7 +10,7 @@
<name>Python</name>
</maintainer>
<upstream>
- <remote-id type="pypi">eyeD3</remote-id>
+ <remote-id type="pypi">eyed3</remote-id>
</upstream>
<origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/dev-python/httpstat/Manifest b/dev-python/httpstat/Manifest
deleted file mode 100644
index 89394e69be18..000000000000
--- a/dev-python/httpstat/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST httpstat-1.3.0.tar.gz 97358 BLAKE2B e80a3bd6a6bf7dec1e045e39e9b4491cb81623fa432e32f238fedb71a97fcbd3c362d3211b5cee85e8ed293bc7493d8eb262a0821e473f0a7c8df3f2b8c6fa3e SHA512 6620f7d2da8740da9febdc5d0a177890cc5e85a3a41445c3182f6a8906cad05a475b7547737e60331957a5f48e668194d9592f4e53005a5666ef99b704afbc91
diff --git a/dev-python/httpstat/files/httpstat-1.2.1-gentoo-tests.patch b/dev-python/httpstat/files/httpstat-1.2.1-gentoo-tests.patch
deleted file mode 100644
index 2ce199a94b75..000000000000
--- a/dev-python/httpstat/files/httpstat-1.2.1-gentoo-tests.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-- Testscript doesn't need to run tests for multiple python implementations,
- PM will take care of that.
-
-- Disabling test which requires specific locales.
-
---- a/httpstat_test.sh
-+++ b/httpstat_test.sh
-@@ -19,8 +19,7 @@ function title() {
- http_url="google.com"
- https_url="https://http2.akamai.com"
-
--for pybin in python python3; do
--#for pybin in python; do
-+for pybin in python; do
- echo
- echo "# Test in $pybin"
-
-@@ -40,9 +39,9 @@ for pybin in python python3; do
- main_silent $https_url
- assert_exit 0
-
-- title "comma decimal language (ru_RU)"
-- LC_ALL=ru_RU main_silent $http_url
-- assert_exit 0
-+ #title "comma decimal language (ru_RU)"
-+ #LC_ALL=ru_RU main_silent $http_url
-+ #assert_exit 0
-
- title "HTTPSTAT_DEBUG"
- HTTPSTAT_DEBUG=true main $http_url | grep -q 'HTTPSTAT_DEBUG=true'
diff --git a/dev-python/httpstat/httpstat-1.3.0.ebuild b/dev-python/httpstat/httpstat-1.3.0.ebuild
deleted file mode 100644
index 3751cf73dc9e..000000000000
--- a/dev-python/httpstat/httpstat-1.3.0.ebuild
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="7"
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-DISTUTILS_USE_SETUPTOOLS=rdepend
-
-inherit distutils-r1
-
-DESCRIPTION="httpstat visualizes cURL statistics in a way of beauty and clarity"
-HOMEPAGE="https://github.com/reorx/httpstat"
-SRC_URI="https://github.com/reorx/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-RDEPEND="net-misc/curl:*"
-
-# Requires access to google.com and http2.akamai.com
-RESTRICT="test"
-
-PATCHES=( "${FILESDIR}"/${PN}-1.2.1-gentoo-tests.patch )
-
-python_test() {
- ./httpstat_test.sh || die
-}
diff --git a/dev-python/httpstat/metadata.xml b/dev-python/httpstat/metadata.xml
deleted file mode 100644
index f050192c9c04..000000000000
--- a/dev-python/httpstat/metadata.xml
+++ /dev/null
@@ -1,14 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>whissi@gentoo.org</email>
- <name>Thomas Deutschmann</name>
- </maintainer>
- <upstream>
- <bugs-to>https://github.com/reorx/httpstat/issues</bugs-to>
- <remote-id type="github">reorx/httpstat</remote-id>
- <remote-id type="pypi">httpstat</remote-id>
- </upstream>
- <origin>gentoo-staging</origin>
-</pkgmetadata>
diff --git a/dev-python/jaraco-functools/Manifest b/dev-python/jaraco-functools/Manifest
index 9750f4674e3f..65f55115ad66 100644
--- a/dev-python/jaraco-functools/Manifest
+++ b/dev-python/jaraco-functools/Manifest
@@ -1 +1,2 @@
DIST jaraco.functools-3.0.1.tar.gz 16996 BLAKE2B 8cad1532753ae5c941038d4b8cda17b49f2d131405bb010d3747ecafc1ea4f72ad2c91b1ce2c499cd2885b18a9fe2cd1ac1bf06d58ed6f13a7a379cf9deb0e66 SHA512 96696839d3405e571bd0120443c5494f13d737b7e0fd9324a7a003c88ff45bdaa89a717c81b9c5ecb4eded9781ba2c05f4735e5cf24c1d1c162fc3d55d38eedb
+DIST jaraco.functools-3.1.0.tar.gz 17006 BLAKE2B 0807138aee76c5ad5b09b0887aa4f294248380d2171e272b70e7de2eb59a39c775c534c6123ec3f38987073c25ffe899a56020bc5a6047109c110f7ceec32ec3 SHA512 81a56d3325106e65889f90137d2f3ab57198e2b5905dbe067a056057dee98ca8a715fc46384f9ab15a081d5d7fd309d69ffb77be9c2b24a9a8eda817fbc0b1e3
diff --git a/dev-python/jaraco-functools/jaraco-functools-3.1.0.ebuild b/dev-python/jaraco-functools/jaraco-functools-3.1.0.ebuild
new file mode 100644
index 000000000000..5278ead8f8a4
--- /dev/null
+++ b/dev-python/jaraco-functools/jaraco-functools-3.1.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Additional functions used by other projects by developer jaraco"
+HOMEPAGE="https://github.com/jaraco/jaraco.functools"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x64-macos"
+
+RDEPEND="
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toml[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/jaraco-classes[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ ">=dev-python/jaraco-packaging-3.2" \
+ ">=dev-python/rst-linker-1.9"
+distutils_enable_tests pytest
+
+python_test() {
+ # Override pytest options to skip flake8
+ PYTHONPATH=. pytest -vv --override-ini="addopts=--doctest-modules" \
+ || die "tests failed with ${EPYTHON}"
+}
+
+# https://wiki.gentoo.org/wiki/Project:Python/Namespace_packages#File_collisions_between_pkgutil-style_packages
+python_install() {
+ rm "${BUILD_DIR}"/lib/jaraco/__init__.py || die
+ # note: eclass may default to --skip-build in the future
+ distutils-r1_python_install --skip-build
+}
diff --git a/dev-python/netcdf4-python/Manifest b/dev-python/netcdf4-python/Manifest
index c793eb8953c5..0784f46d5505 100644
--- a/dev-python/netcdf4-python/Manifest
+++ b/dev-python/netcdf4-python/Manifest
@@ -1 +1,2 @@
DIST netCDF4-1.2.2.tar.gz 679107 BLAKE2B c15ed9332bd8e4bb18c312cd4418add169716ef29b6f5c4b935c880259a6a16c8388ed7c790919bfbbee631e9e96ce4b9a9afaeabb305e4dd32028353e62207d SHA512 e09465d125077e71b8aad4332be844099c7fa29d0ea8f1dd0887f7a5e849ab778361026323466b1d4897bc3d8f8be1818cfa5f426773c765ee9c5f3728ff3da3
+DIST netCDF4-1.5.5.tar.gz 793676 BLAKE2B 15783e359ed65062464874de24b3fabf07c5666f54f979cb4abd5429cb1668df9dc5aee6d96fb171f597b670ac87ac15400549659c82754da60dc9b00ab734cd SHA512 da6ead22ca60900468fbefdb5d1e9486555e73cf4d99096227404094e94cd4d0488320fe4eb2b7944e1183c39817d9e593065297f921016811b7dc6eabb918ef
diff --git a/dev-python/netcdf4-python/files/netcdf4-python-1.5.5-tests.patch b/dev-python/netcdf4-python/files/netcdf4-python-1.5.5-tests.patch
new file mode 100644
index 000000000000..ff0085c7a1f6
--- /dev/null
+++ b/dev-python/netcdf4-python/files/netcdf4-python-1.5.5-tests.patch
@@ -0,0 +1,33 @@
+# tst_diskless.py fails and tst_dap.py requires network
+--- a/test/run_all.py
++++ b/test/run_all.py
+@@ -16,9 +16,6 @@ if python3:
+ else:
+ test_files.remove('tst_unicode3.py')
+ sys.stdout.write('not running tst_unicode3.py ...\n')
+-if __netcdf4libversion__ < '4.2.1' or __has_parallel4_support__ or __has_pnetcdf_support__:
+- test_files.remove('tst_diskless.py')
+- sys.stdout.write('not running tst_diskless.py ...\n')
+ if not __has_nc_inq_path__:
+ test_files.remove('tst_filepath.py')
+ sys.stdout.write('not running tst_filepath.py ...\n')
+@@ -29,14 +26,11 @@ if not __has_cdf5_format__ or struct.calcsize("P") < 8:
+ test_files.remove('tst_cdf5.py')
+ sys.stdout.write('not running tst_cdf5.py ...\n')
+
+-# Don't run tests that require network connectivity
+-if os.getenv('NO_NET'):
+- test_files.remove('tst_dap.py');
+- sys.stdout.write('not running tst_dap.py ...\n')
+-else:
+- # run opendap test first (issue #856).
+- test_files.remove('tst_dap.py')
+- test_files.insert(0,'tst_dap.py')
++test_files.remove('tst_diskless.py')
++sys.stdout.write('not running tst_diskless.py ...\n')
++
++test_files.remove('tst_dap.py');
++sys.stdout.write('not running tst_dap.py ...\n')
+
+ # Build the test suite from the tests found in the test files.
+ testsuite = unittest.TestSuite()
diff --git a/dev-python/netcdf4-python/metadata.xml b/dev-python/netcdf4-python/metadata.xml
index f3b8c9ae37bb..88d001f88b75 100644
--- a/dev-python/netcdf4-python/metadata.xml
+++ b/dev-python/netcdf4-python/metadata.xml
@@ -1,19 +1,19 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>sci@gentoo.org</email>
- <name>Gentoo Science Project</name>
- </maintainer>
- <longdescription>
- netcdf4-python is a Python interface to the netCDF C library.
- netCDF version 4 can read and write files in both the new netCDF 4
- and the old netCDF 3 format, and can create files that are readable
- by HDF5 clients. The API modelled after Scientific.IO.NetCDF, and
- should be familiar to users of that module.
- </longdescription>
- <upstream>
- <remote-id type="pypi">netCDF4</remote-id>
- </upstream>
+ <maintainer type="project">
+ <email>sci@gentoo.org</email>
+ <name>Gentoo Science Project</name>
+ </maintainer>
+ <longdescription>
+ netcdf4-python is a Python interface to the netCDF C library.
+ netCDF version 4 can read and write files in both the new netCDF 4
+ and the old netCDF 3 format, and can create files that are readable
+ by HDF5 clients. The API modelled after Scientific.IO.NetCDF, and
+ should be familiar to users of that module.
+ </longdescription>
+ <upstream>
+ <remote-id type="pypi">netCDF4</remote-id>
+ </upstream>
<origin>gentoo-staging</origin>
</pkgmetadata>
diff --git a/dev-python/netcdf4-python/netcdf4-python-1.5.5.ebuild b/dev-python/netcdf4-python/netcdf4-python-1.5.5.ebuild
new file mode 100644
index 000000000000..d4249a600092
--- /dev/null
+++ b/dev-python/netcdf4-python/netcdf4-python-1.5.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=bdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 optfeature
+
+MY_PN="netCDF4"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Python/numpy interface to the netCDF C library"
+HOMEPAGE="https://unidata.github.io/netcdf4-python/"
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/cftime[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ sci-libs/hdf5
+ sci-libs/netcdf:=[hdf5]"
+DEPEND="${RDEPEND}"
+
+PATCHES=( "${FILESDIR}"/${P}-tests.patch )
+
+S="${WORKDIR}"/${MY_P}
+
+python_test() {
+ cd test || die
+ "${EPYTHON}" run_all.py || die
+}
+
+pkg_postinst() {
+ optfeature "HDF4 support" sci-libs/hdf sci-libs/netcdf[hdf]
+ optfeature "MPI parallel IO support" sci-libs/hdf5[mpi] sci-libs/netcdf[mpi]
+ optfeature "OPeNDAP support" net-misc/curl sci-libs/netcdf[dap]
+}
diff --git a/dev-python/ptyprocess/Manifest b/dev-python/ptyprocess/Manifest
index cee8c8bb6773..6e3aebb0ca90 100644
--- a/dev-python/ptyprocess/Manifest
+++ b/dev-python/ptyprocess/Manifest
@@ -1 +1,2 @@
DIST ptyprocess-0.6.0.tar.gz 70115 BLAKE2B 02499e560c4df2f852d0951a9acfcb88a2bfe659592ead0304bb6a240e831fb093dd40a457714a8a91d1af70b5364b7af91d2c14c956d8a84d3eeec3eb2a9edf SHA512 b34b6bca977f09d1443b210e338e1300e12d6ef35857f9543b3a116ef3b500ad4844357a7a283321756f886af41bddb1f02b27bf200ef1e82a96fd9e431bed86
+DIST ptyprocess-0.7.0.tar.gz 70762 BLAKE2B 6c72cda3eae7dbf4335af11b6ffe1d46040d01fc5c2599948abf0a4fbd53ea45e9d2833843465dbb868da7b4058a014ed08754bb49888795de221bd54ae092a5 SHA512 791d8f2e79900627215ce80ce67ee9c79173dbc08297c6219d5058f9b80c5e323b93049e6836a70c4073f43548d22e3cf310f2e9948ef12f96bcaa15b0ddb2f3
diff --git a/dev-python/ptyprocess/ptyprocess-0.7.0.ebuild b/dev-python/ptyprocess/ptyprocess-0.7.0.ebuild
new file mode 100644
index 000000000000..5628c04c755f
--- /dev/null
+++ b/dev-python/ptyprocess/ptyprocess-0.7.0.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=no
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Run a subprocess in a pseudo terminal"
+HOMEPAGE="https://github.com/pexpect/ptyprocess"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+distutils_enable_tests pytest
diff --git a/dev-python/pyamg/Manifest b/dev-python/pyamg/Manifest
index d3ed6ae9df15..a1a195d67593 100644
--- a/dev-python/pyamg/Manifest
+++ b/dev-python/pyamg/Manifest
@@ -1 +1 @@
-DIST pyamg-3.2.1.tar.gz 765723 BLAKE2B 72c59c0fe93363f73d8ba4c6297920dd1ca8406b048cf0357baec5f2390bdb524421a35ef65e790be45b543e9e162067ee8f8f09327b464a4bc5c9cec368b003 SHA512 6be0dd068417389934ce97813321367920abf6f9f5e94ce2df8bd796edc797cedd492c9153b62466f7d68055a05821447dcf21578ccdfe3294766a49a9ac220e
+DIST pyamg-4.0.0.tar.gz 717171 BLAKE2B 16483d829e8a938359827ca8ebe3093c890685244125576e05220910b66e9aeec278472134d10c589e58dfbd363930cdd7ae13d16c9b9d54c1bd5250e66f4677 SHA512 cdd27834c12ef18f023e78b5b946c06bc2c35f73cf65fc4c76da2fab75f23466e6c1a4b3dccb8506be3ada7e0bafda38122d3d7315deebc7959d2e5300d9add1
diff --git a/dev-python/pyamg/files/pyamg-4.0.0-test.patch b/dev-python/pyamg/files/pyamg-4.0.0-test.patch
new file mode 100644
index 000000000000..316d0a2baad4
--- /dev/null
+++ b/dev-python/pyamg/files/pyamg-4.0.0-test.patch
@@ -0,0 +1,14 @@
+Backported from: https://github.com/pyamg/pyamg/commit/6f5e549e6105e18cfff9bf4b5f1834d081fa4510
+Author: Luke Olson
+--- a/pyamg/aggregation/tests/test_smooth.py
++++ b/pyamg/aggregation/tests/test_smooth.py
+@@ -485,6 +485,9 @@ class TestEnergyMin(TestCase):
+ Bc = ml.levels[1].B
+ P = ml.levels[0].P.tocsr()
+
++ T.eliminate_zeros()
++ P.eliminate_zeros()
++
+ # P should preserve B in its range, wherever P
+ # has enough nonzeros
+ mask = ((P.indptr[1:] - P.indptr[:-1]) >= B.shape[1])
diff --git a/dev-python/pyamg/pyamg-3.2.1-r1.ebuild b/dev-python/pyamg/pyamg-4.0.0.ebuild
index 85993b45605c..f13e10c8345b 100644
--- a/dev-python/pyamg/pyamg-3.2.1-r1.ebuild
+++ b/dev-python/pyamg/pyamg-4.0.0.ebuild
@@ -3,8 +3,8 @@
EAPI=7
+DISTUTILS_USE_SETUPTOOLS=bdepend
PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
inherit distutils-r1
DESCRIPTION="Algebraic multigrid solvers in Python"
@@ -13,20 +13,13 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
-IUSE="test"
-RESTRICT="!test? ( test )"
+KEYWORDS="~amd64 ~x86"
RDEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
- dev-python/scipy[${PYTHON_USEDEP}]
-"
-DEPEND="${RDEPEND}
- test? ( dev-python/nose[${PYTHON_USEDEP}] )
-"
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]"
+
+distutils_enable_tests setup.py
-python_test() {
- distutils_install_for_testing
- cd "${T}" || die # need to be away source directory
- nosetests --verbose pyamg || die
-}
+PATCHES=( "${FILESDIR}"/${P}-test.patch )